SpriteLibrary
SpriteLibrary
SpriteLibrary
Sprite Class
Sprite Constructor
Sprite Constructor (Sprite, Boolean)
Sprite Constructor (SpriteController, Image)
Sprite Constructor (SpriteController, Image, Size)
Sprite Constructor (SpriteController, Image, Int32, Int32)
Sprite Constructor (SpriteController, Image, Int32, Int32, Int32)
Sprite Constructor (Point, SpriteController, Image, Int32, Int32, Int32, Int32)

Sprite Constructor (SpriteController, Image, Size)

Generate a new sprite. It takes the image and the width and height. If there are multiple images of that width and height in the image, an animation is created.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public Sprite(
    	SpriteController Controller,
    	Image SpriteImage,
    	Size SpriteSize
    )

#### Parameters

Controller
  Type: SpriteLibrary
  SpriteController
  The sprite controller that manages this sprite
SpriteImage
  Type: System.Drawing
  Image
  The image we pull the animation from
SpriteSize
  Type: System.Drawing
  Size
  The size of the animation frame

See Also

#### Reference

Sprite Class
Sprite Overload
SpriteLibrary Namespace